Přeskočit na obsah
API dokumentace

SmartEmailing compatible API v3

The same paths, envelopes and errors as SmartEmailing REST API v3 (read operations and account webhooks). HTTP Basic: member e-mail + API key.

Technická reference je anglicky (stejně jako strojově čitelný dokument OpenAPI). Celou skupinu pro AI agenta načtete z /api/openapi.json?tag=SmartEmailing%20v3.

Operace

MetodaCestaPopis
GET/api/v3/account-infoAccount info (guid = tenant id for API v1)
GET/api/v3/check-credentialsCheck the credentials
POST/api/v3/check-credentialsCheck the credentials
GET/api/v3/contactlistsList contact lists
GET/api/v3/contactlists/{list_id}Get a contact list
GET/api/v3/contactsList contacts
GET/api/v3/contacts/{contact_id}Get a contact
GET/api/v3/customfieldsList custom fields
GET/api/v3/pingPing (no authentication)
GET/api/v3/web-hooksList account webhooks
POST/api/v3/web-hooksRegister an account webhook
DELETE/api/v3/web-hooks/{webhook_id}Delete an account webhook

Account info (guid = tenant id for API v1)

GET /api/v3/account-info

Odpovědi

  • 200 OK: application/json object

Chyby

StavKódHodnoty message
401Authentication Failed
403Forbidden
429Rate limit exceeded (...)

Check the credentials

GET /api/v3/check-credentials

Odpovědi

  • 200 OK: application/json object

Chyby

StavKódHodnoty message
401Authentication Failed
429Rate limit exceeded (...)

Check the credentials

POST /api/v3/check-credentials

Odpovědi

  • 200 OK: application/json object

Chyby

StavKódHodnoty message
401Authentication Failed
429Rate limit exceeded (...)

List contact lists

GET /api/v3/contactlists

Parametry

NázevKdeTypPovinnéPopis
limitqueryintegernedefault 500, min 1, max 500
offsetqueryintegernedefault 0, min 0
selectquerystringneComma separated properties to return.
sortquerystringneComma separated properties, "-" = descending.

Odpovědi

  • 200 OK: application/json object

Chyby

StavKódHodnoty message
401Authentication Failed
403Forbidden
422Validation failed: <parameter>
429Rate limit exceeded (...)

Get a contact list

GET /api/v3/contactlists/{list_id}

Parametry

NázevKdeTypPovinnéPopis
list_idpathintegerano

Odpovědi

  • 200 OK: application/json object

Chyby

StavKódHodnoty message
401Authentication Failed
403Forbidden
404Not Found
429Rate limit exceeded (...)

List contacts

GET /api/v3/contacts

Parametry

NázevKdeTypPovinnéPopis
limitqueryintegernedefault 500, min 1, max 500
offsetqueryintegernedefault 0, min 0
selectquerystringneComma separated properties to return.
sortquerystringneComma separated properties, "-" = descending.
emailaddressquerystringneExact e-mail.
idqueryintegerne
blacklistedqueryone of: 0, 1ne
hardbouncedqueryone of: 0, 1ne
expandqueryone of: customfieldsne

Odpovědi

  • 200 OK: application/json object

Chyby

StavKódHodnoty message
401Authentication Failed
403Forbidden
422Validation failed: <parameter>
429Rate limit exceeded (...)

Get a contact

GET /api/v3/contacts/{contact_id}

Parametry

NázevKdeTypPovinnéPopis
contact_idpathintegerano
expandqueryone of: customfieldsne

Odpovědi

  • 200 OK: application/json object

Chyby

StavKódHodnoty message
401Authentication Failed
403Forbidden
404Not Found
429Rate limit exceeded (...)

List custom fields

GET /api/v3/customfields

Parametry

NázevKdeTypPovinnéPopis
limitqueryintegernedefault 500, min 1, max 500
offsetqueryintegernedefault 0, min 0
selectquerystringneComma separated properties to return.
sortquerystringneComma separated properties, "-" = descending.
expandqueryone of: customfield_optionsne

Odpovědi

  • 200 OK: application/json object

Chyby

StavKódHodnoty message
401Authentication Failed
403Forbidden
422Validation failed: <parameter>
429Rate limit exceeded (...)

Ping (no authentication)

GET /api/v3/ping

Bez přihlášení.

Odpovědi

  • 200 OK: application/json object

List account webhooks

GET /api/v3/web-hooks

Parametry

NázevKdeTypPovinnéPopis
limitqueryintegernedefault 500, min 1, max 500
offsetqueryintegernedefault 0, min 0
selectquerystringneComma separated properties to return.
sortquerystringneComma separated properties, "-" = descending.
idquerystringne
eventquerystringne
urlquerystringne
activequerystringne
methodquerystringne
timeoutquerystringne

Odpovědi

  • 200 OK: application/json object

Chyby

StavKódHodnoty message
401Authentication Failed
403Forbidden
422Validation failed: <parameter>
429Rate limit exceeded (...)

Register an account webhook

POST /api/v3/web-hooks

Tělo požadavku (application/json)

PoleTypPovinnéPopis
target_urlstringanohttp(s) URL, at most 1 000 characters; public addresses only.
eventone of: new_contact, updated_contact, unsubscribed_contact, email_delivery_started, delivery_status, sent_email, email_open, email_click, scoring_result_changed, engagement_level_changed, sms_delivery_statusanoFired: new_contact, updated_contact, unsubscribed_contact, delivery_status, sent_email, email_open, email_click. Accepted but never fired yet: email_delivery_started, scoring_result_changed, engagement_level_changed, sms_delivery_status.
basic_authobjectneOptional HTTP Basic the calls send (login 1 to 200 without ":", password 1 to 500).

Odpovědi

  • 201 Created: application/json object

Chyby

StavKódHodnoty message
401Authentication Failed
403Forbidden
409Already exists
422Validation failed: <parameter>
429Rate limit exceeded (...)

Delete an account webhook

DELETE /api/v3/web-hooks/{webhook_id}

Parametry

NázevKdeTypPovinnéPopis
webhook_idpathintegerano

Odpovědi

  • 204 Deleted

Chyby

StavKódHodnoty message
401Authentication Failed
403Forbidden
404Not Found
429Rate limit exceeded (...)

Schémata

SeContact

A contact in SmartEmailing's shape: times "YYYY-MM-DD HH:MM:SS" local, flags 0 / 1, gender M / F, language cs_CZ ...

PoleTypPovinnéPopis
idintegerne
guidanyne
emailaddressstringne
nameanyne
surnameanyne
titlesbeforeanyne
titlesafteranyne
salutionanyne
companyanyne
streetanyne
townanyne
postalcodeanyne
countryanyne
cellphoneanyne
phoneanyne
languageanyne
birthdayanyne
namedayanyne
genderanyne
notesanyne
realnameanyne
blacklistedintegerne
is_blacklistedanyne
hardbouncedanyne
softbouncedanyne
createdanyne
updatedanyne
created_atanyne
last_updated_atanyne
domainanyne
originanyne
contactlistsarray of objectne
customfieldsarray of objectneOnly with expand=customfields.
customfields_urlanyne

SeContactList

PoleTypPovinnéPopis
idintegerne
namestringne
publicnameanyne
sendernameanyne
senderemailanyne
replytoanyne
signatureanyne
notesanyne
categoryanyne
hiddenanyne
createdanyne
alertInanyne
alertOutanyne

SeCustomField

PoleTypPovinnéPopis
idanyne
nameanyne
typeanyne
options_urlanyne
customfield_optionsanyne

SeError

PoleTypPovinnéPopis
statuserrorano
metaarray of anyne
messagestringano
json
{
  "status": "error",
  "meta": [],
  "message": "Authentication Failed"
}

SeWebhook

PoleTypPovinnéPopis
idanyne
urlanyne
methodanyne
eventone of: new_contact, updated_contact, unsubscribed_contact, email_delivery_started, delivery_status, sent_email, email_open, email_click, scoring_result_changed, engagement_level_changed, sms_delivery_statusne
activeanyne
timeoutanyne
last_response_codeanyne
last_call_timeanyne
errors_in_rowanyne
basic_authanyne